slepc (3.23.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 01 May 2025 16:05:31 +0000

slepc (3.23.0+dfsg1-1exp1) experimental; urgency=medium

  [ Francesco Ballarin ]
  * New upstream release. New ABI 3.23.
  * Drop the following unnecessary patches:
    - petsc-shlib-link.patch, petsc31.patch, verbose.patch: seem to have been
      last used in 2011.
    - soname_extension: superseded by upstream MR726.
  * Refresh the following patches:
    - double_colon_patch
    - skip_test7f.patch
    - build_suffix.patch
  * Stop passing --shared-library-extension to configure script in debian/rules:
    - this custom flag was added by soname_extension, which has now been removed
      in favor of upstream MR726;
    - there is no need to pass any flag to the set the suffix, because the
      library name suffix set while building PETSc is propagated to SLEPc;
    - however, the patch build_suffix.patch is still required, and passing
      --build-suffix="64" is still needed, otherwise the build directory for
      32 bit and 64 bit arches would coincide.
  * Add patch ignore_git_hidden_folder_in_config_slepc_py.patch:
    - the file config/packages/slepc.py tries to determine whether
      SLEPc is getting installed from a source tarball, or from a clone of its
      own git repository. In Debian's configuration we are downloading a
      tarball, and then storing the files in our own git repository. Doing this
      triggers a
         raise RuntimeError('Your SLEPc source tree is broken. Use "git status"
                            to check, or remove the entire directory and start
                            all over again')
      which in our case is a false positive.
      The patch ignores the safety check, since it has not effect on the rest of
      the build.
  * Extend build_suffix.patch to use the pseudoarch string (obtained from the
    combination of the actual PETSc arch, and the optional build-suffix) when
    preparing auxiliary files, such as the reconfiguration script and the
    automatically generated fortran bindings.

 -- Drew Parsons <dparsons@debian.org>  Sat, 19 Apr 2025 17:43:08 +0200

slepc (3.22.2+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Thu, 12 Dec 2024 00:11:52 +0100

slepc (3.22.1+dfsg1-2) unstable; urgency=medium

  * upload slepc 3.22 to unstable. Transition #1082552.

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Nov 2024 23:42:09 +0100

slepc (3.22.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.22.

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Nov 2024 01:37:15 +0100

slepc (3.21.2+dfsg1-3) unstable; urgency=medium

  [ Francesco Ballarin ]
  * Add Francesco Ballarin to uploaders
  * OpenMPI 5.0 changed the name and the value of the environment variable to
    allow oversubscription from
       export OMPI_MCA_rmaps_base_oversubscribe=1
    to
       export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
    Use the new variable name in debian/rules and debian/tests.
  * OpenMPI 5.0 changed the name of the environment variable to set the SSH
    agent from
       export OMPI_MCA_plm_rsh_agent=/bin/false
    to
       export PRTE_MCA_plm_ssh_agent=/bin/false
    Use the new variable name in debian/rules and debian/tests.

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Nov 2024 00:49:39 +0100

slepc (3.21.2+dfsg1-2) unstable; urgency=medium

  * apply chrpath to 64-bit packages only for arch-dependent builds

 -- Drew Parsons <dparsons@debian.org>  Tue, 08 Oct 2024 17:27:53 +0200

slepc (3.21.2+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 08 Oct 2024 09:30:43 +0200

slepc (3.21.1+dfsg1-1exp2) experimental; urgency=medium

  * Build-Depends: chrpath
    to remove petsc64's scotch-int64 RUNPATH from slepc64 libraries.

 -- Drew Parsons <dparsons@debian.org>  Thu, 29 Aug 2024 17:44:41 +0200

slepc (3.21.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.21.
  * petsc64 now builds against scotch-int64 and uses a RUNPATH to
    access the scotch-int64 libraries. slepc uses the build flags set
    for petsc, including the rpath option. But slepc does not directly
    use scotch, so manually remove the RUNPATH from slepc64 libraries.

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Aug 2024 18:31:20 +0200

slepc (3.20.2+dfsg1-2) unstable; urgency=medium

  * debian lost upload and build records. Try again.
  * New upstream release.
    - fixes slepcmfn.mod build (MR#639). Closes: #1070894.
  * add Depends: ${fortran:Depends} to -dev packages for dh_fortran_mod
  * debian patch test_nox.patch allows Drawing tests to pass without
    a connected X server by running with -nox

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 May 2024 19:14:05 +0200

slepc (3.20.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - fixes slepcmfn.mod build (MR#639). Closes: #1070894.
  * add Depends: ${fortran:Depends} to -dev packages for dh_fortran_mod
  * debian patch test_nox.patch allows Drawing tests to pass without
    a connected X server by running with -nox

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 May 2024 18:26:17 +0200

slepc (3.20.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release (ABI 3.20)
  * Build-Depends: pkgconf not pkg-config

 -- Drew Parsons <dparsons@debian.org>  Thu, 14 Mar 2024 15:57:38 +0100

slepc (3.19.2+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062939

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 16:12:21 +0000

slepc (3.19.2+dfsg1-2) unstable; urgency=medium

  * update makefile hacking in debian/tests. Upstream makefile now
    allows for slepcvariables under SLEPC_DIR, remove path local to
    source dir
  * debian patch skip_test7f.patch provides env variable SKIP_TEST7F
    to skip test7f during make clean (debian/tests). Needed for i386
    which fails test7f, see upstream Issue #81.

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Jan 2024 16:48:54 +0100

slepc (3.19.2+dfsg1-1) unstable; urgency=medium

  [ Drew Parsons ]
  * New upstream release
  * update debian/watch to catch past versions of upstream
    slepc-with-docs tarballs

  [ Francesco Ballarin ]
  * Reinstate docs generation.

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Dec 2023 11:15:54 +0100

slepc (3.19.1+dfsg1-1exp2) experimental; urgency=medium

  * docs now provided in "with-docs" tarball, same as PETSc source
    - update debian/watch
    - reinstate doc installation in slepc3.19-doc

 -- Drew Parsons <dparsons@debian.org>  Wed, 05 Jul 2023 00:21:39 +0200

slepc (3.19.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
    - new ABI 3.19
  * slepc3.19-doc: docs no longer provided in upstream tarball

 -- Drew Parsons <dparsons@debian.org>  Tue, 04 Jul 2023 20:14:16 +0200

slepc (3.18.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch finclude_EPSEVSL_fb6173ce.diff

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Jun 2023 12:27:44 +0200

slepc (3.18.2+dfsg1-2) unstable; urgency=medium

  * debian patch finclude_EPSEVSL_fb6173ce.diff cherry picks upstream
    commit fb6173ce from the 3.18.3 release to add EPSEVS to fortran
    include files.

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Mar 2023 18:51:40 +0200

slepc (3.18.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Sat, 28 Jan 2023 21:02:42 +0100

slepc (3.18.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 Dec 2022 19:10:55 +0100

slepc (3.18.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
    - ABI update to 3.18

 -- Drew Parsons <dparsons@debian.org>  Mon, 31 Oct 2022 16:11:08 +0100

slepc (3.17.2+dfsg1-2) unstable; urgency=medium

  * switch dev dummy packages to Architecture: any
    to facilitate cross-compilation. Closes: #1019408

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Sep 2022 11:39:02 +0200

slepc (3.17.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.1
  * update lintian overrides (lib symlinks managed by alternatives)

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Sep 2022 09:58:19 +0200

slepc (3.17.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
    - ABI update to 3.17

 -- Drew Parsons <dparsons@debian.org>  Sat, 02 Apr 2022 12:13:36 +0200

slepc (3.16.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * reference PETSC_ARCH when cleaning build dirs to ensure rebuild
    can be conducted after a successful build. Closes: #1003178.

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Mar 2022 09:56:24 +0100

slepc (3.16.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release
    - update ABI to 3.16

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Nov 2021 18:00:51 +0100

slepc (3.15.2+dfsg1-2) unstable; urgency=medium

  * release SLEPc 3.15 to unstable

 -- Drew Parsons <dparsons@debian.org>  Wed, 20 Oct 2021 00:50:52 +0200

slepc (3.15.2+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
    - applies debian patches nep_tutorials-ex20_3_PR204.patch
      and test32_superlu_dist_timeout.patch
  * debian/copyright: drop docs/*.pdf from Files-Excluded

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 Sep 2021 00:50:05 +0200

slepc (3.15.0+dfsg1-1exp2) experimental; urgency=medium

  * debian/copyright: exclude src/binding/slepc4py
    slepc4py is handled in a separate source package.
  * add debian patches
    - nep_tutorials-ex20_3_PR204.patch applies upstream PR204 to fix
      nep_tutorials-ex20_3 test
    - test32_superlu_dist_timeout.patch increases eps-test32-superlu
      timeout to 10 minutes (needed with SuperLU-Dist 6.4 if
      OMP_NUM_THREADS is not set)
  * run tests with OMP_NUM_THREADS=1 (gives much better
    performance in MPI applications, e.g. eps-test32-superlu)

 -- Drew Parsons <dparsons@debian.org>  Wed, 05 May 2021 00:07:40 +0200

slepc (3.15.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release (ABI update to 3.15)

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Apr 2021 00:20:02 +0200

slepc (3.14.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Feb 2021 12:22:46 +0100

slepc (3.14.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 26 Dec 2020 10:33:07 +1100

slepc (3.14.0+dfsg1-4) unstable; urgency=medium

  * update debian patch soname_extension to ensure pkgconfig file for
    SLEPc64 links to PETSc64.
  * link SLEPc.pc (and slepc64.pc, SLEPc64.pc) to slepc.pc in SLEPC_DIRs

 -- Drew Parsons <dparsons@debian.org>  Sat, 07 Nov 2020 09:43:22 +0800

slepc (3.14.0+dfsg1-3) unstable; urgency=medium

  * link to lower case pkgconfig file slepc.pc
    SLEPc 3.14 no longer provides mixed case SLEPc.pc

 -- Drew Parsons <dparsons@debian.org>  Thu, 05 Nov 2020 01:50:15 +0800

slepc (3.14.0+dfsg1-2) unstable; urgency=medium

  * drop deprecated lintian overrides
    (python-script-but-no-python-dep in libslepc*-{real,complex}3.14-dev)

 -- Drew Parsons <dparsons@debian.org>  Mon, 02 Nov 2020 14:35:04 +0800

slepc (3.14.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
    - ABI bump to 3.14 
  * disable ARPACK for 64-bit builds
    (ARPACK cannot be used with 64-bit integers, 64-bit build of
     libarpack2-dev is not yet available)

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Oct 2020 12:14:51 +0800

slepc (3.13.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch drop_function_mismatch_gcc10_8127e630.diff
  * remove deprecated entries in source/lintian-overrides
  * handle fortran-mod-version using dh_fortran_mod

 -- Drew Parsons <dparsons@debian.org>  Wed, 16 Sep 2020 19:33:52 +0800

slepc (3.13.3+dfsg1-3) unstable; urgency=medium

  * fix SLEPC64_DIR_COMPLEX path in libslepc64-complex3.13-dev.prerm

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Aug 2020 21:54:23 +0800

slepc (3.13.3+dfsg1-2) unstable; urgency=medium

  * debian patch drop_function_mismatch_gcc10_8127e630.diff applies
    upstream commit 8127e630 to avert gcc-10 function mismatch error.
    Closes: #966981.

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Aug 2020 19:56:27 +0800

slepc (3.13.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * update build rules to match new upstream configuration
    (builddir labelled with linux2 not linux)
  * override lintian breakout-link warning: links breakout by design.
    SLEPC_DIR is intended to be self-contained, but lib files are in
    the standard location.

 -- Drew Parsons <dparsons@debian.org>  Thu, 09 Jul 2020 11:34:12 +0800

slepc (3.13.2+dfsg1-2) experimental; urgency=medium

  * Provide libslepc64-* packages with support for 64-bit indexing.
  * debian patch build_suffix.patch adds --build-suffix to configure
    options, defining suffix to add to build dir. Used to distinguish
    64-bit build from standard build.

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Jul 2020 15:21:20 +0800

slepc (3.13.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debhelper compatibility level 13
    - ignore uninstalled binary files in arch-indep builds
      (used to build docs).
  * debian/tests run "make check" not "make test"

 -- Drew Parsons <dparsons@debian.org>  Mon, 01 Jun 2020 02:41:07 +0800

slepc (3.13.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * run debian/tests with V=1 (verbose mode)
  * debian/tests: add tests for complex build

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 Apr 2020 14:54:57 +0800

slepc (3.12.2+dfsg1-4) unstable; urgency=medium

  * Source upload to enable migration to testing.

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Apr 2020 21:35:03 +0800

slepc (3.12.2+dfsg1-3) unstable; urgency=medium

  * provide libslepc-real-dev and libslepc-complex-dev, dummy packages
    depending on the latest version of SLEPc with real or complex
    number support, respectively.

 -- Drew Parsons <dparsons@debian.org>  Sat, 28 Mar 2020 17:12:57 +0800

slepc (3.12.2+dfsg1-2) unstable; urgency=medium

  * Add slave link to the libslepc_{real,complex}.so alternative which
    defines the preferred real and complex versions,
    /usr/lib/slepcdir/slepc-real and /usr/lib/slepcdir/slepc-complex
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Mar 2020 12:29:27 +0800

slepc (3.12.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Jan 2020 13:02:46 +0800

slepc (3.12.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * skip build-time tests on x32 (they consistently time out)
  * install examples and datafiles into /usr/share/slepc/3.12 not
    /usr/share/doc/libslepc3.12-dev-examples. Closes: #945339.

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Dec 2019 20:46:43 +1100

slepc (3.12.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * skip build-time tests if nocheck is set in DEB_BUILD_OPTIONS
  * skip build-time tests on x32 (they consistently time out)
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 02 Oct 2019 15:01:43 +0800

slepc (3.11.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.0
  * debian/rules: set OMPI_MCA_plm_rsh_agent
    (orte_rsh_agent is deprecated)

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Aug 2019 00:45:49 +0800

slepc (3.11.0+dfsg1-1exp2) experimental; urgency=medium

  * Build-Depends: libpetsc3.11-dev-examples
    (gmakefile needs gmakegen.py at build time)
  * delete make.log configure.log with dh_clean

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Apr 2019 01:38:54 +0800

slepc (3.11.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
    - supports build configuration with python3
  * Configure build using python3.
    - configure_python3.patch ensures configure is used with python3
    - invoke dh_python3 with --shebang=/usr/bin/python3
  * debhelper compatibility level 12.
  * remove Build-Depends: quilt. quilt is now a standard build package.

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Apr 2019 22:58:48 +0800

slepc (3.10.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Apr 2019 12:08:09 +0800

slepc (3.10.1+dfsg1-3) unstable; urgency=medium

  * skip build tests on ia64 (consistently times out)
  * Standards-Version: 4.3.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Dec 2018 12:09:42 +0100

slepc (3.10.1+dfsg1-2) unstable; urgency=medium

  * upload new upstream version to unstable

 -- Drew Parsons <dparsons@debian.org>  Thu, 20 Dec 2018 14:51:20 +0100

slepc (3.10.1+dfsg1-1exp2) experimental; urgency=medium

  * override dh_fixperms for arch-indep (all) to make example config
    scripts not executable

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Nov 2018 18:48:30 +0800

slepc (3.10.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
    - now uses GNU-style DESTDIR to install (with --prefix --destdir),
      SLEPC_DESTDIR is deprecated.
    - testexamples, testfortran targets now removed from toplevel
      makefile (don't invoke in debian/tests)

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Nov 2018 09:34:11 +0800

slepc (3.10.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 4.2.1
  * -dev packages Depends: ${fortran-mod-version}
    (gfortran-mod-15, constructed from mod version in slepcsys.mod)
  * builds with C compiler not C++ (following latest PETSc)

 -- Drew Parsons <dparsons@debian.org>  Tue, 23 Oct 2018 11:01:41 +0800

slepc (3.9.2+dfsg1-2) unstable; urgency=medium

  * show configure logs if there are configure-time errors
  * multiarch improvements:
    - slepc-dev: Architecture: all
    - libslepc3.9-dev-examples: Architecture: all, Multi-Arch: foreign
  * add debian/tests (autopkgtest)

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Aug 2018 23:53:08 +0800

slepc (3.9.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Use a verbose build log.
  * Standards-Version: 4.1.5

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Jul 2018 21:53:46 +0800

slepc (3.9.1+dfsg1-1exp2) experimental; urgency=medium

  * fix paths to build dir so tests know where the new libs are.

 -- Drew Parsons <dparsons@debian.org>  Mon, 07 May 2018 08:21:07 +0800

slepc (3.9.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream version.
    - applies patches install_destdir-da23b811b8.diff and
      emptyarch-ab4a27b.diff
  * Run build-time tests
     - refactor build steps to take each dh_auto_* separately

 -- Drew Parsons <dparsons@debian.org>  Mon, 07 May 2018 01:52:22 +0800

slepc (3.9.0+dfsg1-1exp1) experimental; urgency=medium

  * New major upstream release.
  * Refresh patches
    - patches applied upstream:
        install_slepcconf.h_SLEPC_DIR-25fa25f10d6.diff
        make_parallel_47f9c11.patch
    - Patch emptyarch-ab4a27b.diff adapted from upstream commit to
      handle empty PETSC_ARCH.
    - install_destdir replaced with install_destdir-da23b811b8.diff,
      upstream commit da23b811b8ddb44dc8675030d65ba3147e6ec20d
  * d/rules override_dh_clean: remove build dirs and other build files
  * Place examples in package libslepc3.9-dev-examples
    - includes html documentation for examples

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Apr 2018 04:34:50 +0800

slepc (3.8.3+dfsg1-1) unstable; urgency=medium

  * New upstream version.
    - applies patch slepcmath_xmmintrin_MM_FLUSH_ZERO_i386.patch
  * Standards-Version: 4.1.4
  * Change Vcs-Git to https to facilitate access by all users.

 -- Drew Parsons <dparsons@debian.org>  Sat, 14 Apr 2018 12:23:58 +0800

slepc (3.8.2+dfsg1-4) unstable; urgency=medium

  * debian patch install_slepcconf.h_SLEPC_DIR-25fa25f10d6.diff
    applies upstream commit 25fa25f10d6 to fix value of SLEPC_DIR in
    slepcconf.h.
  * debian/control: update VCS tags to salsa.debian.org
  * debian patch make_parallel_47f9c11.patch applies upstream commit
    47f9c11 to facilitate parallel builds.
  * don't install lib/slepc/conf/uninstall.py into dev packages.

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Mar 2018 02:09:13 +0800

slepc (3.8.2+dfsg1-3) unstable; urgency=medium

  * debian/rules: separate -arch and -indep rules for
    override_dh_auto_install. Fixing slepcconf.h applies to -arch.

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Mar 2018 15:59:15 +0800

slepc (3.8.2+dfsg1-2) unstable; urgency=medium

  * set SLEPC_DIR in slepcconf.h to install dir not build dir.
    Closes: #891775.

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Mar 2018 11:34:18 +0800

slepc (3.8.2+dfsg1-1exp3) experimental; urgency=medium

  * Refresh i386 patch as slepcmath_xmmintrin_MM_FLUSH_ZERO_i386.patch,
    testing for __SSE__.  Flush To Zero was introduced with SSE in
    1999 on the Pentium III. Thanks Jose Roman for the updated patch.

 -- Drew Parsons <dparsons@debian.org>  Thu, 01 Mar 2018 01:40:00 +0800

slepc (3.8.2+dfsg1-1exp2) experimental; urgency=medium

  * Create patch slepcmath_xmmintrin_MM_FLUSH_ZERO_i386_disable.patch
    to work around a build error on i386 where SlepcSetFlushToZero()
    from slepcmath.h fails with a "target specific option mismatch"
    when using _MM_*_FLUSH_ZERO* from
    /usr/lib/gcc/i686-linux-gnu/7/include/xmmintrin.h

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Feb 2018 15:58:06 +0800

slepc (3.8.2+dfsg1-1exp1) experimental; urgency=medium

  * New upstream version.
  * Standards-Version: 4.1.3
  * debhelper compatibility level 11

 -- Drew Parsons <dparsons@debian.org>  Tue, 27 Feb 2018 15:39:06 +0800

slepc (3.8.1+dfsg1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
    - now licenced under BSD-2-clause
    - provide packages as -3.8, not -3.8.z.
  * Update debian/watch: don't need filenamemangle.
  * Standards-Version: 4.1.1
  * debian/control: Priority: optional

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Nov 2017 15:02:35 +0800

slepc (3.7.4+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.0.0
  * debhelper compatibility level 10.
  * debian/rules: build using make -j 1
    (SLEPc uses PETSc's lib/petsc/conf/rules which bans make -j.
     petsc uses MAKE_NP to handle parallel builds)	      
  * update debian/watch for uscan

 -- Drew Parsons <dparsons@debian.org>  Sat, 15 Jul 2017 14:19:47 +0800

slepc (3.7.4+dfsg1-1) experimental; urgency=medium

  * New upstream version.

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Jun 2017 23:45:49 +0800

slepc (3.7.3+dfsg1-5) unstable; urgency=medium

  * Move slepc3.7 and slepc3.7-real alternatives handling from
    libslepc3.7-dev to libslepc3.7.3-dev. Similarly slepc3.7-complex.
    Otherwise alternatives for older patch versions will be left
    unowned after upgrading. cf. bug#852514.

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Feb 2017 16:04:17 +0800

slepc (3.7.3+dfsg1-4) unstable; urgency=medium

  * patch-specific SLEPc dev packages depend on specific patch versions
    of PETSc, see SLEPc.pc and PETSc.pc.

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Jan 2017 00:47:49 +0800

slepc (3.7.3+dfsg1-3) unstable; urgency=medium

  * link header docs to the actual header files
  * docs are Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Tue, 29 Nov 2016 22:12:38 +0800

slepc (3.7.3+dfsg1-2) unstable; urgency=medium

  * Handle shlibs dependencies via virtual libslepc3.7 and
    libslepc-complex-3.7 packages. The .Z in 3.7.Z is not used in
    sonames, but we need .Z in binary packages because of the upstream
    directory structure. 
    When different libslepc3.7.Z are installed, the preferred version
    is controlled by alternatives for libslepc3.7 (likewise for
    libslepc_complex.so.3.7).
  * Multiarch: place SLEPc.pc alternative in /usr/lib/<arch>/pkgconfig
    Closes: #726775.

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Oct 2016 22:26:45 +0800

slepc (3.7.3+dfsg1-1) unstable; urgency=medium

  * New upstream version.
    - fixes some bugs in auxiliary components such as DS, BV and RG.

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Oct 2016 11:45:17 +0800

slepc (3.7.2+dfsg1-3) unstable; urgency=medium

  * Thanks Christophe Prud'homme for your contributions to the earlier
    versions of slepc.  Removing from the Uploaders list now.
    Closes: #835001.

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Sep 2016 15:06:57 +0800

slepc (3.7.2+dfsg1-2) unstable; urgency=medium

  * Release SLEPc 3.7 to unstable.

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Aug 2016 16:49:37 +0800

slepc (3.7.2+dfsg1-1exp2) experimental; urgency=medium

  * Fix build of doc package (don't delete files which aren't there).

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Aug 2016 12:25:14 +0800

slepc (3.7.2+dfsg1-1exp1) experimental; urgency=medium

  * New upstream version.

 -- Drew Parsons <dparsons@debian.org>  Wed, 03 Aug 2016 14:06:35 +0800

slepc (3.7.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream version.
    - improves MFNKRYLOV and PEPJD solvers.

 -- Drew Parsons <dparsons@debian.org>  Sun, 03 Jul 2016 11:02:21 +0800

slepc (3.7.0+dfsg1-1~exp1) experimental; urgency=low

  * New upstream version. New ABI 3.7. 
    Closes: #824759.

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 May 2016 17:52:23 +0800

slepc (3.6.3.dfsg1-6) unstable; urgency=medium

  * Use alternatives to set default versions for soname (3.6) in
    /usr/lib/slepcdir, including real and complex versions.
  * libslepc3.6.3-dev (and -complex) Depends: libparpack2-dev

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Jun 2016 08:41:38 +0800

slepc (3.6.3.dfsg1-5) unstable; urgency=medium

  * Build doc package from files installed for the standard (real)
    package. Closes: #825816.

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Jun 2016 19:11:50 +0800

slepc (3.6.3.dfsg1-4) unstable; urgency=medium

  * Build-Depends: libpetsc3.6-dev (and -complex-) not libpetsc3.6.3-dev.
  * Don't build separate -dbg package (SLEPc has no specific debug
    configure flag, unlike PETSc). Instead, use automated dbgsym
    package with dh_strip.
  * Standards-Version: 3.9.8

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 May 2016 06:19:35 +0800

slepc (3.6.3.dfsg1-3) unstable; urgency=medium

  * Drop /usr/lib/libslepc.so alternative from debug packages.

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Apr 2016 19:51:11 +0800

slepc (3.6.3.dfsg1-2) unstable; urgency=medium

  * Remove alternatives link when packages are removed.
    - libslepc_real.so.3.6 (package libslepc3.6.3)
    - libslepc_complex.so.3.6 (package libslepc-complex-3.6.3)
    - libslepc_real.so (package libslepc3.6.3-dev)
    - libslepc_complex.so (package libslepc-complex-3.6.3-dev) 
    Closes: #820283.

 -- Drew Parsons <dparsons@debian.org>  Thu, 07 Apr 2016 20:21:51 +0800

slepc (3.6.3.dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Update debian/watch to include filename mangling.
  * Standards-Version: 3.9.7
  * Build doc package from files installed for the debug package.
    Closes: #817167.
  * Drop legacy alternative link to /usr/lib/libslepc.so. It just makes
    trouble with ldconfig.

 -- Drew Parsons <dparsons@debian.org>  Mon, 04 Apr 2016 15:42:12 +0800

slepc (3.6.1.dfsg1-2) unstable; urgency=medium

  * Build-Depends: gfortran. Closes: #751245, #778123.
  * Install examples into doc package. Closes: #726618.
  * Updated dependencies. Closes: #755180, #802706.

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Oct 2015 12:04:35 +0800

slepc (3.6.1.dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Add *-complex packages with support for complex numbers.
  * List DFSG files (docs/slepc.pdf) in debian/copyright.
  * Standards version: 3.9.6

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Oct 2015 10:44:26 +0800

slepc (3.4.2.dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - remove builddepends on libhdf5-mpi-dev (Closes: #755180)

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Wed, 10 Sep 2014 14:36:42 +0200

slepc (3.4.2.dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against gcc 4.9 (Closes: #751245)
  * Add debian/source
  * debian/rules:
    - simplify clean target 
    - remove patch target

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Tue, 24 Jun 2014 10:13:59 +0200

slepc (3.4.2.dfsg-2) unstable; urgency=low

  [ Anton Gladky ]
  * Add copyright information of files 
    src/eps/impls/external/blopex/petsc-interface.*
    Thanks to Paul Tagliamonte.

  [ Christophe Prud'homme ]
  * upload
  * add ${shlibs:Depends}  to -dbg Depends lines to fix lintian

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 24 May 2014 06:19:38 +0000

slepc (3.4.2.dfsg-1) unstable; urgency=low

  [ Christophe Trophime ]
  * New upstream release
  * Add libparpack to BuildDepends

  [ Johannes Ring ]
  * Team upload.
  * Add symlink to the configuration header (Closes: #675039

  [ Sylvestre Ledru ]
  * remove -dbg packages from the build dep
  * Update Standards-Version to 3.9.4 (no changes needed).

  [ Anton Gladky ]
  * Use make instead of $(MAKE) to escape parallel build.
  * Override lintian error (seems, false-positive). Add dh_lintian to rules.

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Thu, 05 Sep 2013 10:49:52 +0200

slepc (3.2-p5-1) unstable; urgency=low

  [Christophe Prud'homme]
  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 07 Apr 2012 07:56:50 +0200

slepc (3.2-p3.dfsg-1) unstable; urgency=low

  [ Johannes Ring ]
  * Team upload.
  * New upstream release (Closes: #653618).
  * Update Standards-Version to 3.9.2 (no changes needed).

  [ Adam C. Powell, IV ]
  * Versioned Build-Depends on most recent PETSc, without which this build
    breaks.
  * Added myself to Uploaders list.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Mon, 16 Jan 2012 11:16:53 -0500

slepc (3.1-p6.dfsg-1) unstable; urgency=low

  [ Christophe Prud'homme ]
  * New upstream release
  * Bug fix: "please upgrade 3.1", thanks to trophime (Closes: #610587).
  * Bug fix: "ftbfs with gold or ld --no-add-needed", thanks to Matthias
    Klose (Closes: #615774).
  * Bug fix: "FTBFS on armel, ia64, mips and sparc", thanks to Mehdi
    Dogguy (Closes: #623447).
  * debian/patches: update petsc-shlib-link.patch for slepc 3.1

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 29 Apr 2011 04:05:06 +0200

slepc (3.1-p5.dfsg-1) unstable; urgency=low

  [ Christophe Trophime ]
  * New upstream version

  [ Christophe Prud'homme ]
  * Update to -p5

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 10 Feb 2011 12:01:14 +0100

slepc (3.0.0-p7.dfsg-8) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/control: depends on libpetsc3.0.0 to ensure that the hppa
    breakage on libpetsc3.1 is bypassed

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 05 Jul 2010 16:22:27 +0200

slepc (3.0.0-p7.dfsg-7) unstable; urgency=low

  [Christophe Prud'homme]
  * Attempt to fix build on some arches: don't let petsc try to rebuild
    the shared libs

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 30 May 2010 08:35:01 +0200

slepc (3.0.0-p7.dfsg-6) unstable; urgency=low

  [Christophe Prud'homme]
  * moved to Debian Science
  * fix Depends to PETSc 3.1 and HDF5

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 29 May 2010 12:49:20 +0200

slepc (3.0.0-p7.dfsg-5) unstable; urgency=low

  [Christophe Prud'homme]
  * Added patch for a more verbose diagnostic at configure time

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 29 May 2010 11:44:05 +0200

slepc (3.0.0-p7.dfsg-4) unstable; urgency=low

  [Christophe Prud'homme]
  * Bug fix: "FTBFS: ERROR: Unable to link with PETSc", thanks to Lucas
    Nussbaum (Closes: #577291).
  * Provide patch for PETSc 3.1 and changes in the interface
  * Update Standards-Version to 3.8.4, no change

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 28 May 2010 13:50:42 +0200

slepc (3.0.0-p7.dfsg-3) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/control: fixed lintian warnings

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 03 Jan 2010 08:35:04 +0100

slepc (3.0.0-p7.dfsg-2) unstable; urgency=low

  [Christophe Prud'homme]
  * Bug fix: "Updating the slepc Maintainer/Uploaders list", thanks to
    Sandro Tosi (Closes: #550416).

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 08 Nov 2009 08:09:43 +0100

slepc (3.0.0-p7.dfsg-1) unstable; urgency=low

  * New upstream release (patch level 7). Includes some fixes for PGHNEP
    problems and other minor fixes.
  * debian/control:
    - Update Standards-Version to 3.8.3.
    - Force libslepc3.0.0-dev to depend on the exact same version of
      libslepc3.0.0 (replace source:Version with binary:Version).
  * debian/rules: Use DEB_BUILD_GNU_SYSTEM to set PETSC_ARCH such that
    it does not fail on non linux-gnu architectures.
  * debian/README.source: Refer to README.source for quilt.
  * debian/watch: Use the dversionmangle option to remove the dfsg

 -- Johannes Ring <johannr@simula.no>  Tue, 03 Nov 2009 08:23:03 +0100

slepc (3.0.0-p5.dfsg-1) unstable; urgency=low

  [ Johannes Ring ]
  * New upstream release (patch level 5). Includes updated
    conf/slepc_common_variables (closes: #528122).
  * debian/rules: Removed docs/slepc.pdf from tarball (no sources).
  * debian/control:
    - Change section to debug for -dbg package (lintian warning).
    - Updated Standards-Version to 3.8.2.
  * debian/patches: Added patch to link SLEPc shared library against
    PETSc shared libraries.

  [ Christophe Prud'homme ]
  * Bug fix: "Paths broken so petsc is unable to find slepc", thanks to
    root (Closes: #530625).
  * debian/rules: don't fail in mv if some files are not there

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 26 Aug 2009 18:12:44 +0200

slepc (3.0.0-p2-1) unstable; urgency=low

  [ Christophe Prud'homme ]
  * New upstream release
    + Released under GNU LGPL license.
    + Improved support for the case that many eigenpairs are to be
    computed. This is especially so in the default eigensolver
    (Krylov-Schur) for symmetric problems, as well as for SVD
    computations. The user can control the behaviour of the solver with a
    new parameter, mpd (see EPSSetDimensions).
    + Support for harmonic projection in the default eigensolver
    (Krylov-Schur), see EPSSetExtraction. This can be useful for computing
    interior or rightmost eigenvalues without the need of a spectral
    transformation.
    + Memory usage has been optimized in most solvers. In some cases,
    memory requirements have been halved with respect to the previous
    versions.
    + In the spectral transformations (ST) the linear solver used
    internally has been changed to a direct solver by default. The user
    can still employ an iterative linear solver by setting the appropriate
    options.
    + Added better support for Fortran 90.
    + Improved support for 'make install', see the Users Manual for
    details.
  * debian/copyright: updated to LGPL-3
  * debian/control: Updated Standards-Version to 3.8.1 (no changes)
  * debian/{control,compat}: Updated dh compat to 7

  [ Johannes Ring ]
  * Completely rewrote debian/rules. Now strongly based on debian/rules
    from PETSc package.
  * Removed NLU files (debian/slepc-dev.dirs, debian/slepc1.dirs,
    debian/slepc-dev.install, debian/slepc1.install, debian/dirs, and
    debian/examples).
  * Removed NLU patches.
  * debian/control:
    - Removed build-dependency on quilt since there are no more patches.
    - Added new package libslepc3.0.0-dbg for static debugging libraries.
    - Added new package slepc3.0.0-doc for documentation and examples.
  * debian/copyright: Added missing upstream author Eloy Romero.

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 19 Mar 2009 14:28:49 +0100

slepc (2.3.3.7-1) unstable; urgency=low

  * New upstream release: 2.3.3 with patch level 7

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 28 Oct 2008 06:36:00 +0100

slepc (2.3.2-3) UNRELEASED; urgency=low

  [ Ondrej Certik ]
  * Ondrej Certik added to Uploaders.

  [ Daniel Leidert ]
  * debian/control: Vcs* and Homepage field transition. Fixed Vcs-Svn.

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 16 Oct 2007 00:55:36 +0200

slepc (2.3.2-2) unstable; urgency=low

  [ Christophe Prud'homme ]
  * Upload slepc as libpetsc2.3.3 is now in debian

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 04 Sep 2007 21:28:07 +0200

slepc (2.3.2-1oc1) unstable; urgency=low

  * Unofficial build, until libpetsc2.3.3 hits the archives
  * Fixed sources to built against libpetsc2.3.3
  * Updated README.Debian with building instructions

 -- Ondrej Certik <ondrej@certik.cz>  Fri, 27 Jul 2007 15:08:44 +0200

slepc (2.3.2-1) unstable; urgency=low

  * Upload to debian non-free

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 09 Jul 2007 09:25:24 +0200

slepc (2.3.2-0oc3) unstable; urgency=low

  * Moved the package to non-free

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 05 Jul 2007 00:55:44 +0200

slepc (2.3.2-0oc2) unstable; urgency=low

  * copy SLEPc examples into the -dev package

 -- Ondrej Certik <ondrej@certik.cz>  Wed, 04 Jul 2007 23:25:54 +0200

slepc (2.3.2-0oc1) unstable; urgency=low

  * Initial debian package

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 26 Jun 2007 11:18:31 +0200

